Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.gpuflux.scene.light
Class FluxLightBuilder

    java.lang.Object
      de.grogra.gpuflux.scene.light.FluxLightBuilder

All Implemented Interfaces:
  LightVisitor

    public class FluxLightBuilder

extends java.lang.Object
implements LightVisitor

Constructor Summary
`FluxLightBuilder()`
`FluxLightBuilder(Graph graph, java.util.AbstractList<LightNode> lights)`

Method Summary
`void` | `buildLight(Light s, Matrix4d transformation)`
`void` | `buildLights(Graph graph, java.util.AbstractList<LightNode> lights)`
`FluxLight` | `constructLight(Light s)`
`void` | `finnish(boolean sampleExplicit, ViewConfig3D view)`
`float[]` | `getCummulativePowerBuffer(Environment env)`
`java.util.Vector<FluxChannelMap>` | `getLightChannels()`
`int` | `getLightCount()`
`java.util.Vector<FluxLight>` | `getLights()`
`java.util.Vector<FluxShader>` | `getLightShaders()`
`int` | `getSampleCount()`
`FluxLight` | `getSky()`
`void` | `serialize(ComputeByteBuffer light_out, ComputeByteBuffer offset_out)`
`void` | `serializeCummulativePowerBuffer(ComputeByteBuffer out, Environment env)`
`void` | `visit(AmbientLight ambientLight)`
`void` | `visit(DirectionalLight directionalLight)`
`void` | `visit(Light light)`
`void` | `visit(Parallelogram parallelogram)`
`void` | `visit(PointLight pointLight)`
`void` | `visit(Sky sky)`
`void` | `visit(SpotLight spotLight)`
`void` | `visit(SunSkyLight sunSkyLight)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FluxLightBuilder

    public FluxLightBuilder()

### FluxLightBuilder

    public FluxLightBuilder(Graph graph,
                            java.util.AbstractList<LightNode> lights)

Method Detail

### buildLight

    public void buildLight(Light s,
                           Matrix4d transformation)

### buildLights

    public void buildLights(Graph graph,
                            java.util.AbstractList<LightNode> lights)

### constructLight

    public FluxLight constructLight(Light s)

### finnish

    public void finnish(boolean sampleExplicit,
                        ViewConfig3D view)

### getCummulativePowerBuffer

    public float[] getCummulativePowerBuffer(Environment env)

### getLightChannels

    public java.util.Vector<FluxChannelMap> getLightChannels()

### getLightCount

    public int getLightCount()

### getLights

    public java.util.Vector<FluxLight> getLights()

### getLightShaders

    public java.util.Vector<FluxShader> getLightShaders()

### getSampleCount

    public int getSampleCount()

### getSky

    public FluxLight getSky()

### serialize

    public void serialize(ComputeByteBuffer light_out,
                          ComputeByteBuffer offset_out)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### serializeCummulativePowerBuffer

    public void serializeCummulativePowerBuffer(ComputeByteBuffer out,
                                                Environment env)
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### visit

    public void visit(AmbientLight ambientLight)

  Specified by:
    `visit` in interface `LightVisitor`

### visit

    public void visit(DirectionalLight directionalLight)

  Specified by:
    `visit` in interface `LightVisitor`

### visit

    public void visit(Light light)

  Specified by:
    `visit` in interface `LightVisitor`

### visit

    public void visit(Parallelogram parallelogram)

  Specified by:
    `visit` in interface `LightVisitor`

### visit

    public void visit(PointLight pointLight)

  Specified by:
    `visit` in interface `LightVisitor`

### visit

    public void visit(Sky sky)

  Specified by:
    `visit` in interface `LightVisitor`

### visit

    public void visit(SpotLight spotLight)

  Specified by:
    `visit` in interface `LightVisitor`

### visit

    public void visit(SunSkyLight sunSkyLight)

  Specified by:
    `visit` in interface `LightVisitor`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD